org.apache.commons.codec.language.bm

## Enum RuleType

- java.lang.Object
- - java.lang.Enum<RuleType>
  - - org.apache.commons.codec.language.bm.RuleType

- All Implemented Interfaces:
    Serializable, Comparable<RuleType>

      public enum RuleType
      extends Enum<RuleType>

  Types of rule.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPROX` Approximate rules, which will lead to the largest number of phonetic interpretations.
    `EXACT` Exact rules, which will lead to a minimum number of phonetic interpretations.
    `RULES` For internal use only.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the rule name.
    `static RuleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPROX

          public static final RuleType APPROX

      Approximate rules, which will lead to the largest number of phonetic interpretations.

    - #### EXACT

          public static final RuleType EXACT

      Exact rules, which will lead to a minimum number of phonetic interpretations.

    - #### RULES

          public static final RuleType RULES

      For internal use only. Please use `APPROX` or `EXACT`.

  - ### Method Detail

    - #### values

          public static RuleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RuleType c : RuleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RuleType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Gets the rule name.
      Returns:
        the rule name.

Copyright © 2002–2019 The Apache Software Foundation. All rights reserved.